// static.cpp -- použití statické lokální proměnné
#include <iostream>
// konstanty
const int ArSize = 10;

// prototyp funkce
void strcount(const char * str);

int main()
{
	using namespace std;
	char input[ArSize];
	char next;

	cout << "Zadejte radek textu:\n";
	cin.get(input, ArSize);
	while (cin)
	{
		cin.get(next);
		while (next != '\n') // řetězec se nevešel!
			cin.get(next);
		strcount(input);
		cout << "Zadejte dalsi radek textu (prazdny radek na ukonceni):\n";
		cin.get(input, ArSize);
	}
	cout << "Sbohem\n";
	return 0;
}

void strcount(const char * str)
{
	using namespace std;
	static int total = 0; // statická lokální proměnná
	int count = 0; // automatická lokální proměnná

	cout << "\"" << str <<"\" obsahuje ";
	while (*str++) // jde na konec řetězce
		count++;
	total += count;
	cout << count << " znaku\n";
	cout << total << " znaku celkem\n";
}
